"""
Marine:
    Remote operations.
"""
import os
import sys
sys.path.append(os.path.abspath('..'))
import json
import requests
import subprocess
from kerrigan.scv import \
    beautify_json_default

#region HTTPFunctions
def fire_post_request(post_url, post_body):
    headers = {'Content-type': 'application/json', 'Accept': 'text/plain'}
    r = requests.post(post_url, data=json.dumps(post_body), headers=headers)
    res = json.loads(r.text)
    return res

def fire_json_default(post_url, file_name='x'):
    post_body = beautify_json_default(file_name)
    return fire_post_request(post_url, post_body)
#endregion

#region CLI
def run_cmd(cmds):
    return subprocess.check_output(cmds, shell=True)\
        .decode('utf-8').rstrip("\n\r")
#endregion

if __name__ == "__main__":
    cmds = ['ls -l']
    run_cmd(cmds)